<?php
class Template {
	public $data = array();

	public function __construct($registry = null){
    //compatibilidade com a parte de emai que usa isso...
		if ($registry != null){
			//capturando todas as instancias de library's de objetos para suprir o que é usado dentro da TPL... byMatheus
			foreach ($registry->getAll() as $key => $value) {
				$this->$key = $value;
			}
		}
	}

	public function fetch($filename) {
		$file = DIR_TEMPLATE . $filename;

		if (file_exists($file)) {
			extract($this->data);

			ob_start();

			include($file);

			$content = ob_get_contents();

			ob_end_clean();

			return $content;
    } else {
			trigger_error('Error: Could not load template ' . $file . '!');
			exit();
    }
	}
}
